# FoundationClasses
TKernel
TColStd

# TColStd_IndexedMapOfReal Class Reference

`#include <TColStd_IndexedMapOfReal.hxx>`

Inheritance diagram for TColStd_IndexedMapOfReal:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_IndexedMapOfReal (const Standard_Integer NbBuckets=1)
Standard_EXPORT TColStd_IndexedMapOfReal & | Assign (const TColStd_IndexedMapOfReal &Other)
TColStd_IndexedMapOfReal & | operator= (const TColStd_IndexedMapOfReal &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TColStd_IndexedMapOfReal ()
Standard_EXPORT Standard_Integer | Add (const Standard_Real &K)
Standard_EXPORT void | Substitute (const Standard_Integer I, const Standard_Real &K)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const Standard_Real &K) const
Standard_EXPORT const Standard_Real & | FindKey (const Standard_Integer I) const
const Standard_Real & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer | FindIndex (const Standard_Real &K) const

## Private Member Functions

Standard_EXPORT | TColStd_IndexedMapOfReal (const TColStd_IndexedMapOfReal &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_IndexedMapOfReal::TColStd_IndexedMapOfReal | ( | const Standard_Integer | NbBuckets = `1` | ) |

TColStd_IndexedMapOfReal::~TColStd_IndexedMapOfReal | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_IndexedMapOfReal::TColStd_IndexedMapOfReal | ( | const TColStd_IndexedMapOfReal & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer TColStd_IndexedMapOfReal::Add | ( | const Standard_Real & | K | ) |

Standard_EXPORT TColStd_IndexedMapOfReal& TColStd_IndexedMapOfReal::Assign | ( | const TColStd_IndexedMapOfReal & | Other | ) |

Standard_EXPORT void TColStd_IndexedMapOfReal::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TColStd_IndexedMapOfReal::Contains | ( | const Standard_Real & | K | ) | const

Standard_EXPORT Standard_Integer TColStd_IndexedMapOfReal::FindIndex | ( | const Standard_Real & | K | ) | const

Standard_EXPORT const Standard_Real& TColStd_IndexedMapOfReal::FindKey | ( | const Standard_Integer | I | ) | const

void TColStd_IndexedMapOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_IndexedMapOfReal::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* TColStd_IndexedMapOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

const Standard_Real& TColStd_IndexedMapOfReal::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

TColStd_IndexedMapOfReal& TColStd_IndexedMapOfReal::operator= | ( | const TColStd_IndexedMapOfReal & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_IndexedMapOfReal::RemoveLast | ( |  | ) |

Standard_EXPORT void TColStd_IndexedMapOfReal::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void TColStd_IndexedMapOfReal::Substitute | ( | const Standard_Integer | I,
|  | const Standard_Real & | K
| ) |

The documentation for this class was generated from the following file:

- TColStd_IndexedMapOfReal.hxx